unit uplXine;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  plXine
  , ExtCtrls, StdCtrls, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn4: TBitBtn;
    Label1: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Timer1: TTimer;
    TrackBar1: TTrackBar;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    XineTest:TPLXine;
    procedure EnabledAll(const aValue:Boolean);
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  BitBtn2Click(Sender);

  XineTest.FileOpen('/media/hda7/Daten/music/mp3/1/08 - Unknown Artist - Track 8.mp3');
  Label9.Caption:=XineTest.CurrFileName;
  EnabledAll(True);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  XineTest.Stop;
  Timer1.Enabled:=False;
  EnabledAll(False);
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin

end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  if BitBtn4.Caption = '&Pause' then begin
    XineTest.Pause;
    BitBtn4.Caption:='&Play';
  end
  else begin
    BitBtn4.Caption:='&Pause';

    XineTest.play;
    Timer1.Enabled:=True;
  end;

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  XineTest:=TPLXine.Create(True);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  XineTest.SetInfo;
  
//  if TrackBar1.Max = 10 then TrackBar1.Max:=XineTest.PlayLen;

  TrackBar1.Position:=TrackBar1.Max * XineTest.playpos div 65535;
  Label3.Caption:=XineTest.GetLen;
  Label5.Caption:=XineTest.GetCurrTime;
  Label7.Caption:=XineTest.GetCurrTime(True);
  Label11.Caption:=XineTest.GetFileExt;
  label1.Caption:=IntTostr(XineTest.playpos) + '\' + IntTostr(XineTest.PlayTime) + '\' + IntTostr(XineTest.PlayLen);
end;

procedure TForm1.EnabledAll(const aValue: Boolean);
begin
  BitBtn2.Enabled:=aValue;
  BitBtn4.Enabled:=aValue;
end;

initialization
  {$I uplXine.lrs}

end.

